Summary: Sound player for the Enlightenment window-manager.
Summary(fr): Lecteur de fichier audio pour Enlightenment.
Name: eMusic
Version: DR0.9
Release: 7mdk
Copyright: LGPL
Group: Sound
BuildRequires: XFree86-devel imlib-devel audiofile-devel esound-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel zlib-devel
Url: http://www.icom.net/~smelecat/emp3/
Source: eMusic-%{PACKAGE_VERSION}.tar.bz2
Patch0: eMusic-gcc295.patch.bz2
Patch1: eMusic-bigendian-fix.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
Plays MP3, MOD (and friends), WAV, AU, and CD files...
Streaming over HTTP/SHOUTcast for mp3, au, and wav files...
Neat, easy to use plugin architecture...
Eats CPU cycles with funky eye candy =)
Converts winamp (limited support for the new 2.0 format) skins to eMusic themes.
Limited support for Gqmpeg themes, no playlist editor in converted themes.
Other stuff.. play with it to find out.

%description -l fr
Lit les fichiers MP3, MOD, WAV, AU et CD...
Simple d'utilisation et possde une architecture type 'plugin'. Possibilit de
convertir et d'utiliser les skins de winamp(format 2.0). 

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
rm -rf $RPM_BUILD_ROOT
libtoolize --force
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --prefix=/usr

if [ x"$SMP" != x"" ]; then
	(make MAKE="make -j$SMP -k"; exit 0)
	make
else
	make
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%config /usr/share/eMusic/MAIN 
%config /usr/share/eMusic/MAIN.analysis 
%config /usr/share/eMusic/MAIN.players

/usr/lib/eMusic/
/usr/share/eMusic/DEFAULT
/usr/share/eMusic/winamp-base/
/usr/bin/emusic

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> DR0.9-7mdk
- automatically added BuildRequires

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> DR0.9-6mdk
- libtoolize

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> DRO.9-5mdk
- fix group
- add post & postun sections 

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- make install DESTDIR
- SMP check/build macro
- add defattr

* Thu Aug  5 1999 Bernhard Rosenkraenzer <bero@ms-windows-2000.com>
- fix compilation with {p,}gcc 2.95

* Fri Apr 30 1999 Alexandre dussart <adussart@linux-mandrake.com>
- Mandrake compliant
- French translation
